Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface SourcesFocusEvents

All Known Subinterfaces:
  HasFocus

All Known Implementing Classes:
  Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree

    public interface SourcesFocusEvents

A widget that implements this interface sources the events defined by the `FocusListener` interface.

Method Summary
`void` | `addFocusListener(FocusListener listener)` Adds a listener interface to receive mouse events.
`void` | `removeFocusListener(FocusListener listener)` Removes a previously added listener interface.

Method Detail

### addFocusListener

    void addFocusListener(FocusListener listener)

  Adds a listener interface to receive mouse events.

  Parameters:
    `listener` - the listener interface to add

### removeFocusListener

    void removeFocusListener(FocusListener listener)

  Removes a previously added listener interface.

  Parameters:
    `listener` - the listener interface to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD